# StatusBarPanelAutoSize

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how a [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) on a [StatusBar](/api/wisej.web/containers/statusbar.md) control behaves when the control resizes.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum StatusBarPanelAutoSize : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum StatusBarPanelAutoSize As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name         | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| ------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Contents** | The width of the [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) is determined by its contents.                                                                                                                                                                                                                                                                                                                                                                                                               |
| **None**     | The [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) does not change size when the [StatusBar](/api/wisej.web/containers/statusbar.md) control resizes.                                                                                                                                                                                                                                                                                                                                                        |
| **Spring**   | The [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md) uses the available space on the [StatusBar](/api/wisej.web/containers/statusbar.md) (the space not taken up by other panels whose [AutoSize](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md#autosize) property is set to [None](#fields) or [Contents](#fields)) and shares it with other panels that have their [AutoSize](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md#autosize) property set to [Spring](#fields). |

## Used By

| Name                                                                                                | Description                                                            |
| --------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------- |
| [StatusBarPanel.AutoSize](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md#autosize) | Returns or sets whether the status bar panel is automatically resized. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/statusbar/wisej.web.statusbarpanelautosize.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
